%{
#include <tpr/tpr-scanner.hpp>
#undef  YY_DECL
#define YY_DECL int tpr::TempProfileScanner::yylex(tpr::TempProfileParser::semantic_type * const lval, tpr::TempProfileParser::location_type *loc )

#define YY_USER_ACTION loc->step(); loc->columns(yyleng);

%}

%option yyclass="tpr::TempProgileScanner"
%option noyywrap
%option never-interactive
%option c++

/* Predefined rules */
NEWLINE         "\n"|"\r\n"
SPACE           " "|"\t"|"\f"
COMMENT_BEGIN   "/*"
COMMENT_END     "*/" 
COMMENT_LINE  "//".*\n

%%

SPACE {return 0;}

%%
